% This files plots the option price curves for Figure 1, upper panel (June
% 1, 2005)

% data for XMM

A_1 = importdata('XMMCP1.out');

OBSERVATIONS = importdata('XMMOBS1.out');


% data for calibration

B_1 = importdata('CALF1.out');



S_11 = A_1(1:400,1);  % strikes for day 1 
S_12 = A_1(401:800,1);
S_13 = A_1(801:1200,1);
S_14 = A_1(1201:1600,1);
S_15 = A_1(1601:2000,1);


X_11 = A_1(1:400,2);  % XMM estimates 
X_12 = A_1(401:800,2);
X_13 = A_1(801:1200,2);
X_14 = A_1(1201:1600,2);
X_15 = A_1(1601:2000,2);


C_11 = B_1(1:400,1);  % calibrated values 
C_12 = B_1(401:800,1);
C_13 = B_1(801:1200,1);
C_14 = B_1(1201:1600,1);
C_15 = B_1(1601:2000,1);


OS_1 = OBSERVATIONS(:,1);  % strikes of observed options 

OP_1 = OBSERVATIONS(:,2);  % prices of observed options
   

subplot(1,2,1);
plot(S_11,C_11,'-g',S_12,C_12,'-g',S_13,C_13,'-g',S_14,C_14,'--g',S_15,C_15,'-g',OS_1,OP_1,'or');
xlabel('discounted moneyness');
ylabel('call and put prices');
title('Calibrated option prices, June, 1, 2005');
xlim([.85 1.15]);
ylim([0 0.051]);
set(gca,'xtick',[0.85 0.90 0.95 1. 1.05 1.1 1.15]);
set(gca,'ytick',[0 0.005 0.010 0.015 0.020 0.025 0.030 0.035 0.04 0.045 0.050]);

subplot(1,2,2);
plot(S_11,X_11,'-g',S_12,X_12,'-g',S_13,X_13,'-g',S_14,X_14,'--g',S_15,X_15,'-g',OS_1,OP_1,'or');
xlabel('discounted moneyness');
ylabel('call and put prices');
title('XMM estimated option prices, June, 1, 2005');
xlim([.85 1.15]);
ylim([0 0.051]);
set(gca,'xtick',[0.85 0.90 0.95 1. 1.05 1.1 1.15]);
set(gca,'ytick',[0 0.005 0.010 0.015 0.020 0.025 0.030 0.035 0.04 0.045 0.050]);


