% This files plots the option price curves for Figure 1, lower panels (June
% 2, 2005)


% data for XMM

A_2 = importdata('XMMCP2.out');

OBSERVATIONS = importdata('XMMOBS2.out');


% data for calibration

B_2 = importdata('CALF2.out');


S_21 = A_2(1:400,1);  % strikes  
S_22 = A_2(401:800,1);
S_23 = A_2(801:1200,1);
S_24 = A_2(1201:1600,1);


X_21 = A_2(1:400,2);   % XMM estimates 
X_22 = A_2(401:800,2);
X_23 = A_2(801:1200,2);
X_24 = A_2(1201:1600,2);


C_21 = B_2(1:400,1);  % calibrated values
C_22 = B_2(401:800,1);
C_23 = B_2(801:1200,1);
C_24 = B_2(1201:1600,1);

   
OS_2 = OBSERVATIONS(:,1); % strikes of observed options
   
OP_2 = OBSERVATIONS(:,2);  % prices of observed options


subplot(1,2,1);
plot(S_21,C_21,'-g',S_22,C_22,'-g',S_23,C_23,'--g',S_24,C_24,'-g',OS_2,OP_2,'or');
xlabel('discounted moneyness');
ylabel('call and put prices');
title('Calibrated option prices, June, 2, 2005');
xlim([.85 1.15]);
ylim([0 0.051]);
set(gca,'xtick',[0.85 0.90 0.95 1. 1.05 1.1 1.15]);
set(gca,'ytick',[0 0.005 0.010 0.015 0.020 0.025 0.030 0.035 0.04 0.045 0.050]);

subplot(1,2,2);
plot(S_21,X_21,'-g',S_22,X_22,'-g',S_23,X_23,'--g',S_24,X_24,'-g',OS_2,OP_2,'or');
xlabel('discounted moneyness');
ylabel('call and put prices');
title('XMM estimated option prices, June, 2, 2005');
xlim([.85 1.15]);
ylim([0 0.051]);
set(gca,'xtick',[0.85 0.90 0.95 1. 1.05 1.1 1.15]);
set(gca,'ytick',[0 0.005 0.010 0.015 0.020 0.025 0.030 0.035 0.04 0.045 0.050]);
