% This files plots the IV seriess in Figure 2

% data for XMM IV series 
XMMIV = importdata('XMMIV.out'); 
    
XMM_096 = XMMIV(:,1);
XMM_100 = XMMIV(:,2);
XMM_104 = XMMIV(:,3);
XMM_106 = XMMIV(:,4);
    

% data for calibrated IV curves

CALIV = importdata('CALIV.out'); 
    
CAL_096 = CALIV(:,1);
CAL_100 = CALIV(:,2);
CAL_104 = CALIV(:,3);
CAL_106 = CALIV(:,4);

   
T = [1:1:22]';
    
    
    subplot(2,2,1);
    plot(T,XMM_096,'-og',T,CAL_096,'-sb');
    ylim([0.06 0.18]);
    xlim([0 23]);
    title('$k=0.96$');
    set(gca,'xtick',[4 9 14 19]);
    set(gca,'ytick',[0.06 0.08 0.10 0.12 0.14 0.16 0.18]);
    set(gca,'XTickLabel',{'06/06';'06/13';'06/20';'06/27'});
    
    
    subplot(2,2,2);
    plot(T,XMM_100,'-og',T,CAL_100,'-sb');
    ylim([0.06 0.18]);
     xlim([0 23]);
     title('$k=1$');
    set(gca,'xtick',[4 9 14 19]);
    set(gca,'ytick',[0.06 0.08 0.10 0.12 0.14 0.16 0.18]);
    set(gca,'XTickLabel',{'06/06';'06/13';'06/20';'06/27'});
    
    
    subplot(2,2,3);
    plot(T,XMM_104,'-og',T,CAL_104,'-sb');
    ylim([0.06 0.18]);
     xlim([0 23]);
     title('$k=1.04$');
    set(gca,'xtick',[4 9 14 19]);
    set(gca,'ytick',[0.06 0.08 0.10 0.12 0.14 0.16 0.18]);
    set(gca,'XTickLabel',{'06/06';'06/13';'06/20';'06/27'});
    
    subplot(2,2,4);
    plot(T,XMM_106,'-og',T,CAL_106,'-sb');
    ylim([0.06 0.18]);
     xlim([0 23]);
     title('$k=1.06$');
    set(gca,'xtick',[4 9 14 19]);
    set(gca,'ytick',[0.06 0.08 0.10 0.12 0.14 0.16 0.18]);
    set(gca,'XTickLabel',{'06/06';'06/13';'06/20';'06/27'});
    
    
    
